Page MenuHomePhabricator

Remove support for null $action in Action::factory
Closed, ResolvedPublic

Description

Calling Action::factory with null was hard-deprecated in 1.35. Support for it should be removed.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 24 2020, 2:38 PM

Change 585063 had a related patch set uploaded (by Art-Baltai; owner: Art-Baltai):
[mediawiki/extensions/Wikibase@master] Action::factory() and ActionTestCase::createAction() $action must be string

https://gerrit.wikimedia.org/r/585063

Change 585064 had a related patch set uploaded (by Art-Baltai; owner: Art-Baltai):
[mediawiki/core@master] Action::factory $action argument not nullable

https://gerrit.wikimedia.org/r/585064

Change 585063 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Fix type doc of ActionTestCase::createAction()

https://gerrit.wikimedia.org/r/585063

Pchelolo renamed this task from Action::factory $action must not be nullable to Remove support for null $action in Action::factory.Apr 11 2020, 3:49 AM
Pchelolo updated the task description. (Show Details)

Change 585064 merged by jenkins-bot:
[mediawiki/core@master] Hard deprecate Action::factory with null argument $action

https://gerrit.wikimedia.org/r/585064

Peter.ovchyn closed this task as Resolved.May 7 2020, 3:44 PM